Bug 176784 - Review Request: gnome-schedule: A GTK+ based user interface for cron and at
Summary: Review Request: gnome-schedule: A GTK+ based user interface for cron and at
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-01-02 17:59 UTC by Frank Arnold
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 14:20:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Arnold 2006-01-02 17:59:07 UTC
Spec Name or Url: http://www.scirocco-5v-turbo.de/fedora/gnome-schedule.spec
SRPM Name or Url: http://www.scirocco-5v-turbo.de/fedora/gnome-schedule-1.0.0-1.src.rpm
Description: Gnome Schedule is a graphical user interface for creating, modifying, and deleting cron and at jobs.

This is my first package. I need a sponsor.

Known problems:
* Builds on devel only because of gnome-doc-utils requirement
* rpmlint gives "only-non-binary-in-usr-lib" wich comes from Bonobo .server file for the panel applet

Comment 1 Brian Pepple 2006-01-06 19:27:58 UTC
Looks pretty good.  Built fine in Mock, though I'm wondering if you should have
a BR on scrollkeeper (refer to
http://fedoraproject.org/wiki/ScriptletSnippets#head-3c9f517f0cd4aaabb369a8805226d85dc2f02793)

I'm unable to verify that everything runs as expected, since I'm not running
Rawhide yet, but I'm not getting any errors with rpmlint on the binary rpm
produced with Mock.  Unfortunately, I can't sponser new members, so someone else
will need to do an offical review for you.

Comment 2 Frank Arnold 2006-01-06 22:55:31 UTC
Thank you for your comments.

Regarding BR on scrollkeeper:
It's not needed here. In this case gnome-doc-utils is used for documentation
building, which is already a BR. The only invoking of scrollkeeper without
--disable-scrollkeeper is a scrollkeeper-update.


Comment 3 John Mahowald 2006-02-25 22:16:40 UTC
Good:

rpmlint of gnome-schedule-1.0.0-1.noarch.rpm:E: gnome-schedule
only-non-binary-in-usr-lib
bonobo, can be ignored.
- package meets naming guidelines
- package meets packaging guidelines
- license ( GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales handled by %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file in order
- works

Looks good. Send me your account details and I'll sponsor you.

Comment 4 Frank Arnold 2006-02-27 14:20:23 UTC
Thanks for the review and your sponsoring.


Note You need to log in before you can comment on or make changes to this bug.